<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: RTDM_I2cPort.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_r_t_d_m___i2c_port_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">RTDM_I2cPort.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_r_t_d_m___i2c_port_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef RTDM_I2CPORT_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define RTDM_I2CPORT_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i2c_port_8h.html">I2cPort.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;{</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html">   25</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html">RTDM_I2cPort</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_i2c_port.html">I2cPort</a></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    {</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;            <a class="code" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a010d2511015000404d297a67ba20859b">RTDM_I2cPort</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_object.html">Object</a>* parent,std::string name,std::string device);</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;            <a class="code" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a200fe16eed6ae1c14f3bb2329d13b496">~RTDM_I2cPort</a>();</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;            <span class="keywordtype">int</span> <a class="code" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a22c6f1746ef7820244c6a81e9e024d09">SetSlave</a>(uint16_t address);</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;            ssize_t <a class="code" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a6f62a3ad26ae32ed4be7908b8e40b17b">Write</a>(<span class="keyword">const</span> <span class="keywordtype">void</span> *buf,<span class="keywordtype">size_t</span> nbyte);</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;            ssize_t <a class="code" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#aad068f789a4622827c46b5ac5b9cc2e0">Read</a>(<span class="keywordtype">void</span> *buf,<span class="keywordtype">size_t</span> nbyte);</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a7a0fe5bbfcd26dbf3b13793397c7e73a">SetRxTimeout</a>(<a class="code" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> timeout_ns);</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a92600ff5d78fff644bfcc65855d41a66">SetTxTimeout</a>(<a class="code" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> timeout_ns);</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;            <span class="keywordtype">int</span> fd;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    };</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="preprocessor">#endif // RTDM_I2CPORT_H</span></div>
<div class="ttc" id="classframework_1_1core_1_1_r_t_d_m___i2c_port_html_a010d2511015000404d297a67ba20859b"><div class="ttname"><a href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a010d2511015000404d297a67ba20859b">framework::core::RTDM_I2cPort::RTDM_I2cPort</a></div><div class="ttdeci">RTDM_I2cPort(const Object *parent, std::string name, std::string device)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="namespaceframework_1_1core_html_a556a09521d9b94e1c9f0bfe6744d611d"><div class="ttname"><a href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">framework::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:49</div></div>
<div class="ttc" id="classframework_1_1core_1_1_r_t_d_m___i2c_port_html"><div class="ttname"><a href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html">framework::core::RTDM_I2cPort</a></div><div class="ttdoc">Class for real time i2c port using RTDM. </div><div class="ttdef"><b>Definition:</b> RTDM_I2cPort.h:25</div></div>
<div class="ttc" id="_i2c_port_8h_html"><div class="ttname"><a href="_i2c_port_8h.html">I2cPort.h</a></div><div class="ttdoc">Base class for i2c port. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_r_t_d_m___i2c_port_html_a22c6f1746ef7820244c6a81e9e024d09"><div class="ttname"><a href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a22c6f1746ef7820244c6a81e9e024d09">framework::core::RTDM_I2cPort::SetSlave</a></div><div class="ttdeci">int SetSlave(uint16_t address)</div><div class="ttdoc">Set slave&#39;s address. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_r_t_d_m___i2c_port_html_a7a0fe5bbfcd26dbf3b13793397c7e73a"><div class="ttname"><a href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a7a0fe5bbfcd26dbf3b13793397c7e73a">framework::core::RTDM_I2cPort::SetRxTimeout</a></div><div class="ttdeci">void SetRxTimeout(Time timeout_ns)</div><div class="ttdoc">Set RX timeout. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_r_t_d_m___i2c_port_html_a6f62a3ad26ae32ed4be7908b8e40b17b"><div class="ttname"><a href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a6f62a3ad26ae32ed4be7908b8e40b17b">framework::core::RTDM_I2cPort::Write</a></div><div class="ttdeci">ssize_t Write(const void *buf, size_t nbyte)</div><div class="ttdoc">Write datas. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_r_t_d_m___i2c_port_html_a200fe16eed6ae1c14f3bb2329d13b496"><div class="ttname"><a href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a200fe16eed6ae1c14f3bb2329d13b496">framework::core::RTDM_I2cPort::~RTDM_I2cPort</a></div><div class="ttdeci">~RTDM_I2cPort()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html"><div class="ttname"><a href="classframework_1_1core_1_1_object.html">framework::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:75</div></div>
<div class="ttc" id="classframework_1_1core_1_1_r_t_d_m___i2c_port_html_aad068f789a4622827c46b5ac5b9cc2e0"><div class="ttname"><a href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#aad068f789a4622827c46b5ac5b9cc2e0">framework::core::RTDM_I2cPort::Read</a></div><div class="ttdeci">ssize_t Read(void *buf, size_t nbyte)</div><div class="ttdoc">Read datas. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_r_t_d_m___i2c_port_html_a92600ff5d78fff644bfcc65855d41a66"><div class="ttname"><a href="classframework_1_1core_1_1_r_t_d_m___i2c_port.html#a92600ff5d78fff644bfcc65855d41a66">framework::core::RTDM_I2cPort::SetTxTimeout</a></div><div class="ttdeci">void SetTxTimeout(Time timeout_ns)</div><div class="ttdoc">Set TX timeout. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_i2c_port_html"><div class="ttname"><a href="classframework_1_1core_1_1_i2c_port.html">framework::core::I2cPort</a></div><div class="ttdoc">Base class for i2c port. </div><div class="ttdef"><b>Definition:</b> I2cPort.h:27</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_b562b7e28db909b473d6df8cfc340e1a.html">Framework</a></li><li class="navelem"><a class="el" href="dir_351818660e8c85d910ad9decfeb820b5.html">src</a></li><li class="navelem"><a class="el" href="_r_t_d_m___i2c_port_8h.html">RTDM_I2cPort.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
